Summary: Power Control Program for Best Patriot UPS
Name: bpowerd
Version: 2.2
Release: 4
Copyright: GPL
Group: Utilities/System
Source: ftp://ftp.ccraig.org/pub/software/bpowerd/bpowerd-2.2.tar.gz
Source1: bpowerd
Source2: power
Source3: INSTALL
Requires: SysVinit >= 2.64, initscripts, chkconfig
BuildRoot: /tmp/bpowerd

%description
A program that monitors Best Patriot UPS systems for power outages
and alarms and calls init when they occur.  Allows for the automated
shutdown of the system when alarms occur and killing of the inverter
on shutdown.

%changelog
* Tue Aug 24 1999 Kelley Spoon <kspoon@turbolinux.com>
- rebuilt for TL 4.1
- removed echo's in %post and made chkconfig shut bpowerd off by default

* Mon Nov 23 1998 Christopher Craig <ccraig@ccraig.org>
- Version 2.2 released

* Wed Nov 11 1998 Christopher Craig <ccraig@ccraig.org>
- Version 2.1 released
-  changes in documentation and support scripts

* Tue Nov 10 1998 Christopher Craig <ccraig@ccraig.org>
- Version 2.0 released by ccraig

* Thu Sep 11 1997 Christopher Craig <ccraig@cc.gatech.edu>
- Version 1.0 released 9/7/97 by ccraig


%prep
%setup
# specifying --with-shutdown allows configure to be run as non-root
CFLAGS="$RPM_OPT_FLAGS" ./configure --with-shutdown=/var/run/shutdown.pid

%build
make

%install
rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT/usr/sbin
install -m 755 -s bpowerd $RPM_BUILD_ROOT/usr/sbin/bpowerd

install -m 755 -d $RPM_BUILD_ROOT/usr/man/man8
gzip bpowerd.man
install -m 644 bpowerd.man.gz $RPM_BUILD_ROOT/usr/man/man8/bpowerd.8.gz

install -d  $RPM_BUILD_ROOT/etc/rc.d/init.d
install  -m 755 bpowerfail $RPM_BUILD_ROOT/etc/rc.d/init.d/bpowerfail
install  -m 755 ${RPM_SOURCE_DIR}/bpowerd $RPM_BUILD_ROOT/etc/rc.d/init.d/bpowerd

install -d  $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 ${RPM_SOURCE_DIR}/power $RPM_BUILD_ROOT/etc/sysconfig/power
install -m 644 ${RPM_SOURCE_DIR}/INSTALL INSTALL

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/sbin/bpowerd
/etc/rc.d/init.d/bpowerfail
/etc/rc.d/init.d/bpowerd
/usr/man/man8/bpowerd.8.gz
%config /etc/sysconfig/power
%doc README
%doc INSTALL

%post
/sbin/chkconfig --add bpowerd
/sbin/chkconfig bpowerd off

%postun
/sbin/chkconfig --del bpowerd
